package view

import fr.louveauAmine.cvApi.dao.JOB

data class Job(
    val jobTitle: String,
    val start: String,
    val end: String,
    val company: String,
    val tasks: String
)

data class DeleteJob(
    val start: String,
    val end: String,
    val company: String
)


fun JOB.toView(): Job = Job(
    jobTitle = this.jobTitle,
    start = this.start,
    end = this.end,
    company = this.company,
    tasks = this.tasks
)

fun Job.toEntity(): JOB = JOB(
    jobTitle = this.jobTitle,
    start = this.start,
    end = this.end,
    company = this.company,
    tasks = this.tasks
)